{
  "root": true,
  "extends": ["eslint:recommended", "prettier"],
  "env": {
    "es6": true,
    "browser": true,
    "node": true
  },
  "parserOptions": {
    "ecmaVersion": 2018
  },
  "rules": {
    "no-shadow": "error",
    "no-magic-numbers": ["error", { "ignore": [0, 1, -1] }],
    "no-param-reassign": "error",
    "prefer-template": "error",
    "prefer-arrow-callback": "error",
    "arrow-body-style": ["error", "as-needed"]
  },
  "overrides": [
    {
      "files": ["src/renderer/**/*.*"],
      "parserOptions": {
        "sourceType": "module"
      }
    }
  ]
}
